cdac.medinfo.sdk.hl7282.baselibs

## Class DLD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.DLD

- All Implemented Interfaces:
    IDataType

      public class DLD
      extends CompositeDataType

  DLD - Discharge to Location and Date

  This data type specifies the healthcare facility to which the patient was discharged and the date.

  Represents an HL7 DLD data type. This data type has the following attributes:

  1. Discharge to Location (CWE)Required
  2. Effective Date (DTM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLD()` Default Constructor for DLD
    `DLD(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for DLD class which takes two arguments and sets the value in the respective member variable.
    `DLD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for DLD class which takes five arguments and sets the value in the respective member variable.
    `DLD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for DLD class which takes six arguments and sets the value in the respective member variable.
    `DLD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for DLD class which takes four arguments and sets the value in the respective member variable.
    `DLD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for DLD class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getDischargeLocation()` Returns Discharge Location
    `DTM` | `getEffectiveDate()` Returns Effective Date
    `void` | `setDischargeToLocation(CWE objCWE)` Sets the Discharge Location.
    `void` | `setDischargeToLocation(java.lang.String strDischargeLocation)` Sets the Discharge Location.
    `void` | `setEffectiveDate(DTM objEffectiveDate)` Sets the Effective Date.
    `void` | `setEffectiveDate(java.lang.String strEffectiveDate)` Sets the Effective Date.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DLD

          public DLD()

      Default Constructor for DLD

    - #### DLD

          public DLD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for DLD class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLD

          public DLD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)

      Constructor for DLD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLD

          public DLD(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for DLD class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLD

          public DLD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for DLD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLD

          public DLD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for DLD class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setDischargeToLocation

          public void setDischargeToLocation(java.lang.String strDischargeLocation)

      Sets the Discharge Location.
      Parameters:
        `strDischargeLocation` - Specifies the healthcare facility to which the patient was discharged.

    - #### setDischargeToLocation

          public void setDischargeToLocation(CWE objCWE)

      Sets the Discharge Location.
      Parameters:
        `strCWE` - Specifies the healthcare facility to which the patient was discharged.

    - #### setEffectiveDate

          public void setEffectiveDate(java.lang.String strEffectiveDate)

      Sets the Effective Date.
      Parameters:
        `strEffectiveDate` - specifies the Date.

    - #### setEffectiveDate

          public void setEffectiveDate(DTM objEffectiveDate)

      Sets the Effective Date.
      Parameters:
        `objEffectiveDate` - specifies the Effective Date.

    - #### getDischargeLocation

          public CWE getDischargeLocation()

      Returns Discharge Location
      Returns:
        CWE - data type

    - #### getEffectiveDate

          public DTM getEffectiveDate()

      Returns Effective Date
      Returns:
        DTM - data type

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validation is based on the compulsory fields for the DataType.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.